/**
 * @description form表单检测，数值检测
 * @param rule
 * @param value
 * @param callback
 * @returns
 */
export const numCheck = (rule: any, value: any, callback: any) => {
  // 我这里不是必填的，如果是必填的再判断一下value === ''
  let capital = /^[0-9.]*$/;
  if (!capital.test(value)) {
    callback(new Error(`请输入整数或小数`));
  } else {
    let data = JSON.stringify(value);
    let arr = data.split("");
    let mix = data.indexOf(".");
    if (mix != -1) {
      if (mix == 0 || mix == arr.length - 1) {
        callback(new Error(`小数点不能在第一位或最后一位`));
        return;
      }
      let dianNum = arr.filter((x: any) => x == ".");
      if (dianNum.length > 1) {
        callback(new Error(`小数点只能有一个`));
        return;
      }
      callback();
    } else {
      callback();
    }
  }
};
